> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model Provider



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/model_providers/{model_provider_id}
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/model_providers/{model_provider_id}:
    get:
      tags:
        - model_providers
      summary: Get Model Provider
      operationId: get_model_provider_api_v1_model_providers__model_provider_id__get
      parameters:
        - name: model_provider_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Provider Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__5
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__5:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Human-readable name for the model provider
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the provider
        type:
          $ref: '#/components/schemas/ModelProviderType'
          description: Type of model provider
        base_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Base Url
          description: Base URL for the API (unique)
        created_at:
          type: string
          format: date-time
          title: Created At
        registry:
          anyOf:
            - $ref: '#/components/schemas/FileSystemModelProviderRegistryLocation'
            - type: 'null'
        state:
          $ref: '#/components/schemas/ModelProviderState'
          default: online
        capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Capabilities
          readOnly: true
      type: object
      required:
        - id
        - type
        - base_url
        - capabilities
      title: ModelProviderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelProviderType:
      type: string
      enum:
        - anthropic
        - bedrock
        - cerebras
        - chutes
        - cohere
        - deepseek
        - gemini
        - github
        - groq
        - watsonx
        - jan
        - mistral
        - moonshot
        - nvidia
        - ollama
        - openai
        - openrouter
        - perplexity
        - together
        - voyage
        - rits
        - other
      title: ModelProviderType
    FileSystemModelProviderRegistryLocation:
      type: string
      minLength: 1
      format: uri
      title: FileSystemModelProviderRegistryLocation
    ModelProviderState:
      type: string
      enum:
        - online
        - offline
      title: ModelProviderState
    ModelCapability:
      type: string
      enum:
        - llm
        - embedding
      title: ModelCapability
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````